## org.apache.taglibs.standard.tag.common.core
Class NullAttributeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.servlet.jsp.JspException
                  javax.servlet.jsp.JspTagException
                      org.apache.taglibs.standard.tag.common.core.NullAttributeException

All Implemented Interfaces:
  Serializable

    public class NullAttributeException

extends JspTagException

NullAttributeException is a JspTagException that will be thrown by the JSTL RI handlers when a tag attribute illegally evaluates to 'null'.

Author:
  Shawn Bayern
See Also:
  Serialized Form

Constructor Summary
`NullAttributeException(String tag, String att)` Constructs a NullAttributeException with appropriate information.

Method Summary

Methods inherited from class javax.servlet.jsp.JspException
`getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NullAttributeException

    public NullAttributeException(String tag,
                                  String att)

  Constructs a NullAttributeException with appropriate information.

  Parameters:
    `tag` - The name of the tag in which the error occurred.
    `att` - The attribute value for which the error occurred.

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.